stages:
  - build

build:
  stage: build
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
    - docker build -t $CI_REGISTRY_IMAGE:latest -f dockerfiles/coderunner/Dockerfile .
    - docker push $CI_REGISTRY_IMAGE:latest
  only:
    - master